Last Comment Bug 1110927 - 301 redirect legacy pages that are 404ing
: 301 redirect legacy pages that are 404ing
Status: RESOLVED FIXED
[kb=1611588] [fxgrowth][SEO]
:
Product: www.mozilla.org
Classification: Other
Component: General (show other bugs)
: Production
: All All
-- normal
: ---
Assigned To: Kohei Yoshino [:kohei]
:
:
Mentors:
Depends on:
Blocks: mozorg-redirects
  Show dependency treegraph
 
Reported: 2014-12-12 10:48 PST by Chris More [:cmore]
Modified: 2015-01-12 12:45 PST (History)
4 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
pull request (44 bytes, text/x-github-pull-request)
2014-12-17 20:02 PST, Kohei Yoshino [:kohei]
no flags Details | Review | Splinter Review

Description User image Chris More [:cmore] 2014-12-12 10:48:49 PST
We are getting 404s to these legacy URL patterns:

/fr/firefox/start/central.html
/de/firefox/start/central.html
/*/firefox/start/central.html

redirect: /firefox/

/en-US/firefox/en-US/firefox/whatsnew/

redirect: /en-US/firefox/whatsnew/

/*/firefox/panorama/

redirect: /firefox/desktop/

/en-US/firefox/sync/firstrun.html
/*/firefox/sync/firstrun.html

redirect: /firefox/sync/
Comment 1 User image Kohei Yoshino [:kohei] 2014-12-17 20:02:01 PST
Created attachment 8538255 [details] [review]
pull request

SUMO has an article about Panorama so we could use this:

/firefox/panorama/ -> https://support.mozilla.org/kb/tab-groups-organize-tabs
Comment 2 User image [github robot] 2015-01-12 10:07:48 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/60e5b46de8e55ee9d76568f0c74fe8b54220c893
Fix Bug 1110927 - 301 redirect legacy pages that are 404ing

https://github.com/mozilla/bedrock/commit/4153457dc442d3c069382b1341a9914a6d57a184
Merge pull request #2597 from kyoshino/bug-1110927-legacy-404

Fix Bug 1110927 - 301 redirect legacy pages that are 404ing
Comment 3 User image Jon Petto [:jpetto] 2015-01-12 10:10:34 PST
:cmore - Do you have any further insight to the /en-US/firefox/en-US/firefox/whatsnew/ URL? We're wondering if this goofy pattern is an internal bug or just a bad link from outside.

Can you tell how much traffic this URL is receiving?
Comment 4 User image Chris More [:cmore] 2015-01-12 12:45:26 PST
(In reply to Jon Petto [:jpetto] from comment #3)
> :cmore - Do you have any further insight to the
> /en-US/firefox/en-US/firefox/whatsnew/ URL? We're wondering if this goofy
> pattern is an internal bug or just a bad link from outside.
> 
> Can you tell how much traffic this URL is receiving?

If I graph /.+/firefox/.+/firefox/whatsnew/ (all locales) over all of 2014. There was zero traffic until immediately on June 18th. Roughly about 5,000+ per week and pretty steady up until now.

Top variations:

/en-US/firefox/en-US/firefox/whatsnew/
/fr/firefox/en-US/firefox/whatsnew/
/es-ES/firefox/en-US/firefox/whatsnew/
/en-US/firefox/fr/firefox/whatsnew/

From looking at the data, the first locale in that URL pattern appears to be the correct one. For example, 100% of /fr/firefox/en-US/firefox/whatsnew/ is coming from a fr browser and 100% of /es-ES/firefox/en-US/firefox/whatsnew/ comes from an es-ES browser.

So...

/en-US/firefox/en-US/firefox/whatsnew/ > /en-US/firefox/whatsnew/

/fr/firefox/en-US/firefox/whatsnew/ > /fr/firefox/whatsnew/

and so on....

it is interesting that none of these URLs contain version numbers.

It looks like this is mainly Firefox 1.x, 2.x and the latest Firefox version.

Note You need to log in before you can comment on or make changes to this bug.